Skip to main content
GET
/
oauth
/
v1
/
refresh-tokens
/
{token}
Retrieve refresh token metadata
curl --request GET \
  --url https://api.hubapi.com/oauth/v1/refresh-tokens/{token}
{
  "client_id": "<string>",
  "hub_id": 123,
  "scopes": [
    "<string>"
  ],
  "token": "<string>",
  "token_type": "<string>",
  "user_id": 123,
  "hub_domain": "<string>",
  "user": "<string>"
}

Supported products

Path Parameters

token
string
required

Response

successful operation

client_id
string
required

The client ID of the application that the refresh token was issued for.

hub_id
integer<int32>
required

The ID of the HubSpot account associated with the refresh token.

scopes
string[]
required
token
string
required

The access token string used to make API calls.

token_type
string
required

The type of token, typically indicating the OAuth token type. Typically bearer.

user_id
integer<int32>
required

The ID of the hubspot user associated with the refresh token.

hub_domain
string

The domain of the HubSpot account associated with the refresh token.

user
string

The email address of the hubspot user associated with the refresh token.

Last modified on March 30, 2026